<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.PianiEstrazioneDistinteBanca" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="PianiEstrazioneDistinteBanca">
        <id name="id" type="java.lang.Integer">
            <column name="ID"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="denominazione" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="Denominazione"/>
        </property>
        <property generated="never" lazy="false" name="enabled" optimistic-lock="true" type="boolean" unique="false">
            <column name="Enabled" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay1" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay1" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay2" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay2" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay3" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay3" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay4" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay4" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay5" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay5" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay6" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay6" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="scheduledDay7" optimistic-lock="true" type="boolean" unique="false">
            <column name="ScheduledDay7" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="startTime" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="StartTime"/>
        </property>
        <property generated="never" lazy="false" name="statoDisposizioneDaEstrarre" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="StatoDisposizioneDaEstrarre"/>
        </property>
        <property generated="never" lazy="false" name="cutOffDataCreazioneDisposizione" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="CutOffDataCreazioneDisposizione"/>
        </property>
        <property generated="never" lazy="false" name="statusLastExecution" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="StatusLastExecution"/>
        </property>
        <property generated="never" lazy="false" name="lastExecution" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="LastExecution"/>
        </property>
        <property generated="never" lazy="false" name="idcontoDefault1" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDContoDefault1"/>
        </property>
        <property generated="never" lazy="false" name="idcontoDefault2" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDContoDefault2"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved"/>
        </property>
        <property generated="never" lazy="false" name="usedByService" optimistic-lock="true" type="boolean" unique="false">
            <column name="UsedByService" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="abiordinante" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="ABIOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="usaTipoSequenzaRid" optimistic-lock="true" type="boolean" unique="false">
            <column name="UsaTipoSequenzaRid" not-null="true"/>
        </property>
    </class>
</hibernate-mapping>
